# Table of Contents

* Getting Started
  * [Introduction](index.md)
  * [Required Dependencies](getting-started/dependencies.md)
  * [Installation](getting-started/index.md)
  * [Using with Ionic](getting-started/with-ionic.md)
* Basics
  * [Development Workflow](basics/workflow.md)
  * [Opening Native IDE](basics/opening-native-projects.md)
  * [Building your App](basics/building-your-app.md)
  * [Running your App](basics/running-your-app.md)
  * [Using Plugins](basics/using-plugins.md)
  * [Native Project Configuration](basics/configuring-your-app.md)
  * [Progressive Web Apps](basics/progressive-web-app.md)
* Cordova/PhoneGap
  * [Introduction](cordova/index.md)
  * [Migration Strategy](cordova/migration-strategy.md)
  * [Cordova to Capacitor Migration](cordova/migrating-from-cordova-to-capacitor.md)
  * [Cordova/Ionic Native Plugins](cordova/using-cordova-plugins.md)
  * [Known Incompatible Plugins](cordova/known-incompatible-plugins.md)
* Guides
  * [Ionic Framework Camera App](guides/ionic-framework-app.md)
  * [Push Notifications - Firebase](guides/push-notifications-firebase.md)
  * [Deep Links](guides/deep-links.md)
  * [Community Guides](guides/community.md)
* iOS
  * [Getting Started](ios/index.md)
  * [Configuration](ios/configuration.md)
  * [Updating](ios/updating.md)
  * [Custom Native Code](ios/custom-code.md)
  * [Deploying to App Store](https://www.joshmorony.com/deploying-capacitor-applications-to-ios-development-distribution/)
  * [Troubleshooting](ios/troubleshooting.md)
* Android
  * [Getting Started](android/index.md)
  * [Configuration](android/configuration.md)
  * [Updating](android/updating.md)
  * [Custom Native Code](android/custom-code.md)
  * [Deploying to Google Play](https://www.joshmorony.com/deploying-capacitor-applications-to-android-development-distribution/)
  * [Troubleshooting](android/troubleshooting.md)
* Web/PWA
  * [Getting Started](web/index.md)
  * [PWA Elements](web/pwa-elements.md)
* Electron
  * [Getting Started](electron/index.md)
  * [Updating](electron/updating.md)
* Creating Plugins
  * [Introduction](plugins/index.md)
  * [iOS Guide](plugins/ios.md)
  * [Android Guide](plugins/android.md)
  * [Web/PWA Guide](plugins/web.md)
  * [JavaScript Guide](plugins/js.md)
* APIs
  * [Introduction](apis/index.md)
  * [Community Plugins](community/plugins.md)
  * [Accessibility](apis/accessibility/index.md)
  * [App](apis/app/index.md)
  * [Background Task](apis/background-task/index.md)
  * [Browser](apis/browser/index.md)
  * [Camera](apis/camera/index.md)
  * [Clipboard](apis/clipboard/index.md)
  * [Console](apis/console/index.md)
  * [Device](apis/device/index.md)
  * [Filesystem](apis/filesystem/index.md)
  * [Geolocation](apis/geolocation/index.md)
  * [Haptics](apis/haptics/index.md)
  * [Keyboard](apis/keyboard/index.md)
  * [Local Notifications](apis/local-notifications/index.md)
  * [Modals](apis/modals/index.md)
  * [Motion](apis/motion/index.md)
  * [Network](apis/network/index.md)
  * [Permissions](apis/permissions/index.md)
  * [Push Notifications](apis/push-notifications/index.md)
  * [Share](apis/share/index.md)
  * [Splash Screen](apis/splash-screen/index.md)
  * [Status Bar](apis/status-bar/index.md)
  * [Storage](apis/storage/index.md)
  * [Toast](apis/toast/index.md)


